* (Q) I have 2 data files with the same variables, 
   in the same order but variable names are different. 
   How can I automatically rename variables of file A 
   to the names contained in file X?.

DATA LIST LIST /var1 var2 var3.
BEGIN DATA
1 1 1 
END DATA.
SAVE OUTFILE='c:\temp\fileA.sav'.

DATA LIST LIST /x y z.
BEGIN DATA
2 2 2 
END DATA.
SAVE OUTFILE='c:\temp\fileX.sav'.

******* Start job *********.

*///////////////////.
DEFINE !vname(old=!TOKENS(1) /new=!TOKENS(1))
GET FILE=!new.
N OF CASES 1.
FLIP.
SAVE OUTFILE='c:\temp\new names2.sav' /RENAME=(case_lbl=newnames).

GET FILE=!old.
N OF CASES 1.
FLIP.
RENAME VARIABLES (case_lbl=oldnames).
MATCH FILES FILE=* 
	/FILE='c:\temp\new names2.sav'.
WRITE OUTFILE='c:\temp\rename syntax.sps'
	/"RENAME VARIABLES ("oldnames"="newnames").".
EXECUTE.

GET FILE=!old.
INCLUDE 'c:\temp\rename syntax.sps'.
!ENDDEFINE.
*///////////////////.

SET MPRINT=yes.
!vname old='c:\temp\fileA.sav' 
	new='c:\temp\fileX.sav'.
SET MPRINT=no.
